function [Kc,tauI,tauD]=rule4PIID(K,delay,beta)
% integrating with delay PI controller tuning
%beta is the performance specification parameter
%closed-loop time constant taucl=beta*delay;
%beta=4-- gives gain margin 5 and phase margin 48
%----------------------------------
xi=0.707;
%xi=1;
if beta>1       
 if xi==0.707
   Kc_hat=1/(0.7184*beta+0.3661);
 tauI_hat=1.3970*beta+1.2271;
 tauD_hat=1/(1.4275*beta+1.6405);
end
if xi==1 
Kc_hat=1/(0.5138*beta+0.5909);
tauI_hat=1.9886*beta+1.2118;
tauD_hat=1/(1.0156*beta+1.7550);
end 
else
    if xi==0.707
   Kc_hat=1/(0.3280*beta^2+0.0786*beta+0.6442);
tauI_hat=-3.7845*beta^2+10.2044*beta-4.0298;
tauD_hat=1/(-1.9064*beta^2+6.1545*beta-1.5875);
end
if xi==1 
Kc_hat=1/(0.3100*beta^2-0.0486*beta+0.7853);
tauI_hat=-3.0205*beta^2+9.6838*beta-3.8821;
tauD_hat=1/(-1.7078*beta^2+5.1844*beta-1.0555);
end 
end
Kc=Kc_hat/(delay*K);
tauI=delay*tauI_hat;
tauD=delay*tauD_hat;