%PI controller example
%Z-N tuning rule
%Z-N and C-C tuning rules
%step test
%test process one--first order plus delay model
delay=20; 
num=0.5;
%test process one
%den1=[30 1];
%den2=conv([30 1],[30 1]);
%den=conv(den1,den2);
%%%%%%
den=[30 1];
Tsim=300;
deltat=0.1;
sim('Opentest');
figure(1)
%hold on

%plot(t,u,'-')
hold on
set(gca,'FontSize',20,'FontName','helvetica');
axis([1 300 -0.5 1.1])
xlabel('Time (sec)')
plot(t,y)
%legend('input','output')
grid on
%[x1,y1]=ginput(2);
%d=37.2;
d=21;
tauM=(58-d);
Kss=0.5;
%Z-N tuning rule (PI)
Kc=0.9*tauM/(Kss*d)
tauI=3*d
sim('PIController_AD');
yzn=y;
figure(2)
hold on
plot(t,yzn)
%C-C tuning rule (PI)
Kc=tauM/(Kss*d)*(0.9+d/(12*tauM))
tauI=d*(30*tauM+3*d)/(9*tauM+20*d)
sim('PIController_AD');
ycc=y;
figure(2)
plot(t,ycc,'g')
%Wang and Cluett tuning rule (PI)
L=tauM/d;
Kc_hat=0.13+0.51*L;
tauI_hat=(0.25+0.96*L)/(0.93+0.03*L);
Kc=Kc_hat/Kss
tauI=d*tauI_hat

sim('PIController_AD');
yw=y;
figure(2)
plot(t,yw,'r')
xlabel('Time (sec)')
ylabel('Output')

