/* Include files */

#include "blascompat32.h"
#include "Tuner4Inner_sfun.h"
#include "c3_Tuner4Inner.h"
#include "mwmathutil.h"
#define CHARTINSTANCE_CHARTNUMBER      (chartInstance->chartNumber)
#define CHARTINSTANCE_INSTANCENUMBER   (chartInstance->instanceNumber)
#include "Tuner4Inner_sfun_debug_macros.h"

/* Type Definitions */

/* Named Constants */

/* Variable Declarations */

/* Variable Definitions */
static const char *c3_debug_family_names[7] = { "nargin", "nargout", "e", "Ra",
  "epsilon", "uCurrent", "uPast" };

/* Function Declarations */
static void initialize_c3_Tuner4Inner(SFc3_Tuner4InnerInstanceStruct
  *chartInstance);
static void initialize_params_c3_Tuner4Inner(SFc3_Tuner4InnerInstanceStruct
  *chartInstance);
static void enable_c3_Tuner4Inner(SFc3_Tuner4InnerInstanceStruct *chartInstance);
static void disable_c3_Tuner4Inner(SFc3_Tuner4InnerInstanceStruct *chartInstance);
static void c3_update_debugger_state_c3_Tuner4Inner
  (SFc3_Tuner4InnerInstanceStruct *chartInstance);
static const mxArray *get_sim_state_c3_Tuner4Inner
  (SFc3_Tuner4InnerInstanceStruct *chartInstance);
static void set_sim_state_c3_Tuner4Inner(SFc3_Tuner4InnerInstanceStruct
  *chartInstance, const mxArray *c3_st);
static void finalize_c3_Tuner4Inner(SFc3_Tuner4InnerInstanceStruct
  *chartInstance);
static void sf_c3_Tuner4Inner(SFc3_Tuner4InnerInstanceStruct *chartInstance);
static void init_script_number_translation(uint32_T c3_machineNumber, uint32_T
  c3_chartNumber);
static const mxArray *c3_sf_marshall(void *chartInstanceVoid, void *c3_u);
static const mxArray *c3_b_sf_marshall(void *chartInstanceVoid, void *c3_u);
static void c3_info_helper(c3_ResolvedFunctionInfo c3_info[27]);
static const mxArray *c3_c_sf_marshall(void *chartInstanceVoid, void *c3_u);
static real_T c3_emlrt_marshallIn(SFc3_Tuner4InnerInstanceStruct *chartInstance,
  const mxArray *c3_uCurrent, const char_T *c3_name);
static real_T c3_b_emlrt_marshallIn(SFc3_Tuner4InnerInstanceStruct
  *chartInstance, const mxArray *c3_b_uPast, const char_T *c3_name);
static uint8_T c3_c_emlrt_marshallIn(SFc3_Tuner4InnerInstanceStruct
  *chartInstance, const mxArray *c3_b_is_active_c3_Tuner4Inner, const char_T
  *c3_name);
static void init_dsm_address_info(SFc3_Tuner4InnerInstanceStruct *chartInstance);

/* Function Definitions */
static void initialize_c3_Tuner4Inner(SFc3_Tuner4InnerInstanceStruct
  *chartInstance)
{
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  chartInstance->c3_uPast_not_empty = FALSE;
  chartInstance->c3_is_active_c3_Tuner4Inner = 0U;
}

static void initialize_params_c3_Tuner4Inner(SFc3_Tuner4InnerInstanceStruct
  *chartInstance)
{
  real_T c3_d0;
  real_T c3_d1;
  sf_set_error_prefix_string(
    "Embedded MATLAB Runtime Error (chart): Error evaluating data 'Ra' in the parent workspace.\n");
  sf_mex_import("Ra", sf_mex_get_sfun_param(chartInstance->S, 0, 0), &c3_d0, 0,
                0, 0U, 0, 0U, 0);
  chartInstance->c3_Ra = c3_d0;
  sf_set_error_prefix_string("Stateflow Runtime Error (chart): ");
  sf_set_error_prefix_string(
    "Embedded MATLAB Runtime Error (chart): Error evaluating data 'epsilon' in the parent workspace.\n");
  sf_mex_import("epsilon", sf_mex_get_sfun_param(chartInstance->S, 1, 0), &c3_d1,
                0, 0, 0U, 0, 0U, 0);
  chartInstance->c3_epsilon = c3_d1;
  sf_set_error_prefix_string("Stateflow Runtime Error (chart): ");
}

static void enable_c3_Tuner4Inner(SFc3_Tuner4InnerInstanceStruct *chartInstance)
{
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
}

static void disable_c3_Tuner4Inner(SFc3_Tuner4InnerInstanceStruct *chartInstance)
{
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
}

static void c3_update_debugger_state_c3_Tuner4Inner
  (SFc3_Tuner4InnerInstanceStruct *chartInstance)
{
}

static const mxArray *get_sim_state_c3_Tuner4Inner
  (SFc3_Tuner4InnerInstanceStruct *chartInstance)
{
  const mxArray *c3_st = NULL;
  const mxArray *c3_y = NULL;
  real_T c3_hoistedGlobal;
  real_T c3_u;
  const mxArray *c3_b_y = NULL;
  real_T c3_b_hoistedGlobal;
  real_T c3_b_u;
  const mxArray *c3_c_y = NULL;
  uint8_T c3_c_hoistedGlobal;
  uint8_T c3_c_u;
  const mxArray *c3_d_y = NULL;
  real_T *c3_uCurrent;
  c3_uCurrent = (real_T *)ssGetOutputPortSignal(chartInstance->S, 1);
  c3_st = NULL;
  c3_y = NULL;
  sf_mex_assign(&c3_y, sf_mex_createcellarray(3));
  c3_hoistedGlobal = *c3_uCurrent;
  c3_u = c3_hoistedGlobal;
  c3_b_y = NULL;
  sf_mex_assign(&c3_b_y, sf_mex_create("y", &c3_u, 0, 0U, 0U, 0U, 0));
  sf_mex_setcell(c3_y, 0, c3_b_y);
  c3_b_hoistedGlobal = chartInstance->c3_uPast;
  c3_b_u = c3_b_hoistedGlobal;
  c3_c_y = NULL;
  if (!chartInstance->c3_uPast_not_empty) {
    sf_mex_assign(&c3_c_y, sf_mex_create("y", NULL, 0, 0U, 1U, 0U, 2, 0, 0));
  } else {
    sf_mex_assign(&c3_c_y, sf_mex_create("y", &c3_b_u, 0, 0U, 0U, 0U, 0));
  }

  sf_mex_setcell(c3_y, 1, c3_c_y);
  c3_c_hoistedGlobal = chartInstance->c3_is_active_c3_Tuner4Inner;
  c3_c_u = c3_c_hoistedGlobal;
  c3_d_y = NULL;
  sf_mex_assign(&c3_d_y, sf_mex_create("y", &c3_c_u, 3, 0U, 0U, 0U, 0));
  sf_mex_setcell(c3_y, 2, c3_d_y);
  sf_mex_assign(&c3_st, c3_y);
  return c3_st;
}

static void set_sim_state_c3_Tuner4Inner(SFc3_Tuner4InnerInstanceStruct
  *chartInstance, const mxArray *c3_st)
{
  const mxArray *c3_u;
  real_T *c3_uCurrent;
  c3_uCurrent = (real_T *)ssGetOutputPortSignal(chartInstance->S, 1);
  chartInstance->c3_doneDoubleBufferReInit = TRUE;
  c3_u = sf_mex_dup(c3_st);
  *c3_uCurrent = c3_emlrt_marshallIn(chartInstance, sf_mex_dup(sf_mex_getcell
    (c3_u, 0)), "uCurrent");
  chartInstance->c3_uPast = c3_b_emlrt_marshallIn(chartInstance, sf_mex_dup
    (sf_mex_getcell(c3_u, 1)), "uPast");
  chartInstance->c3_is_active_c3_Tuner4Inner = c3_c_emlrt_marshallIn
    (chartInstance, sf_mex_dup(sf_mex_getcell(c3_u, 2)),
     "is_active_c3_Tuner4Inner");
  sf_mex_destroy(&c3_u);
  c3_update_debugger_state_c3_Tuner4Inner(chartInstance);
  sf_mex_destroy(&c3_st);
}

static void finalize_c3_Tuner4Inner(SFc3_Tuner4InnerInstanceStruct
  *chartInstance)
{
}

static void sf_c3_Tuner4Inner(SFc3_Tuner4InnerInstanceStruct *chartInstance)
{
  int32_T c3_previousEvent;
  real_T c3_hoistedGlobal;
  real_T c3_b_hoistedGlobal;
  real_T c3_c_hoistedGlobal;
  real_T c3_e;
  real_T c3_b_Ra;
  real_T c3_b_epsilon;
  uint32_T c3_debug_family_var_map[7];
  real_T c3_nargin = 3.0;
  real_T c3_nargout = 1.0;
  real_T c3_uCurrent;
  real_T c3_x;
  real_T c3_b_x;
  real_T c3_y;
  real_T c3_c_x;
  real_T c3_d_x;
  real_T c3_e_x;
  real_T c3_f_x;
  boolean_T c3_b;
  real_T c3_a;
  real_T c3_b_b;
  real_T *c3_b_e;
  real_T *c3_b_uCurrent;
  c3_b_uCurrent = (real_T *)ssGetOutputPortSignal(chartInstance->S, 1);
  c3_b_e = (real_T *)ssGetInputPortSignal(chartInstance->S, 0);
  _sfTime_ = (real_T)ssGetT(chartInstance->S);
  _SFD_CC_CALL(CHART_ENTER_SFUNCTION_TAG,0);
  _SFD_DATA_RANGE_CHECK(*c3_b_e, 0U);
  _SFD_DATA_RANGE_CHECK(chartInstance->c3_Ra, 1U);
  _SFD_DATA_RANGE_CHECK(*c3_b_uCurrent, 2U);
  _SFD_DATA_RANGE_CHECK(chartInstance->c3_epsilon, 3U);
  c3_previousEvent = _sfEvent_;
  _sfEvent_ = CALL_EVENT;
  _SFD_CC_CALL(CHART_ENTER_DURING_FUNCTION_TAG,0);
  c3_hoistedGlobal = *c3_b_e;
  c3_b_hoistedGlobal = chartInstance->c3_Ra;
  c3_c_hoistedGlobal = chartInstance->c3_epsilon;
  c3_e = c3_hoistedGlobal;
  c3_b_Ra = c3_b_hoistedGlobal;
  c3_b_epsilon = c3_c_hoistedGlobal;
  sf_debug_symbol_scope_push_eml(0U, 7U, 7U, c3_debug_family_names,
    c3_debug_family_var_map);
  sf_debug_symbol_scope_add_eml(&c3_nargin, c3_b_sf_marshall, 0U);
  sf_debug_symbol_scope_add_eml(&c3_nargout, c3_b_sf_marshall, 1U);
  sf_debug_symbol_scope_add_eml(&c3_e, c3_b_sf_marshall, 2U);
  sf_debug_symbol_scope_add_eml(&c3_b_Ra, c3_b_sf_marshall, 3U);
  sf_debug_symbol_scope_add_eml(&c3_b_epsilon, c3_b_sf_marshall, 4U);
  sf_debug_symbol_scope_add_eml(&c3_uCurrent, c3_b_sf_marshall, 5U);
  sf_debug_symbol_scope_add_eml(&chartInstance->c3_uPast, c3_sf_marshall, 6U);
  CV_EML_FCN(0, 0);

  /* e is the feedback error */
  /* Ra is the amplitude of relay; */
  /* epsilon is the hysterisis */
  /* h is the sampling interval */
  _SFD_EML_CALL(0,7);
  if (CV_EML_IF(0, 0, !chartInstance->c3_uPast_not_empty)) {
    _SFD_EML_CALL(0,8);
    chartInstance->c3_uPast = c3_b_Ra;
    chartInstance->c3_uPast_not_empty = TRUE;
  }

  _SFD_EML_CALL(0,10);
  c3_x = c3_e;
  c3_b_x = c3_x;
  c3_y = muDoubleScalarAbs(c3_b_x);
  if (CV_EML_IF(0, 1, c3_y <= c3_b_epsilon)) {
    _SFD_EML_CALL(0,11);
    c3_uCurrent = chartInstance->c3_uPast;
  } else {
    _SFD_EML_CALL(0,13);
    c3_c_x = c3_e;
    c3_d_x = c3_c_x;
    c3_e_x = c3_d_x;
    c3_d_x = c3_e_x;
    c3_f_x = c3_d_x;
    c3_b = muDoubleScalarIsNaN(c3_f_x);
    if (c3_b) {
      c3_d_x = rtNaN;
    } else if (c3_d_x > 0.0) {
      c3_d_x = 1.0;
    } else if (c3_d_x < 0.0) {
      c3_d_x = -1.0;
    } else {
      c3_d_x = 0.0;
    }

    c3_a = c3_d_x;
    c3_b_b = c3_b_Ra;
    c3_uCurrent = c3_a * c3_b_b;
    _SFD_EML_CALL(0,14);
    chartInstance->c3_uPast = c3_uCurrent;
  }

  _SFD_EML_CALL(0,-14);
  sf_debug_symbol_scope_pop();
  *c3_b_uCurrent = c3_uCurrent;
  _SFD_CC_CALL(EXIT_OUT_OF_FUNCTION_TAG,0);
  _sfEvent_ = c3_previousEvent;
  sf_debug_check_for_state_inconsistency(_Tuner4InnerMachineNumber_,
    chartInstance->chartNumber, chartInstance->instanceNumber);
}

static void init_script_number_translation(uint32_T c3_machineNumber, uint32_T
  c3_chartNumber)
{
}

static const mxArray *c3_sf_marshall(void *chartInstanceVoid, void *c3_u)
{
  const mxArray *c3_y = NULL;
  real_T c3_b_u;
  const mxArray *c3_b_y = NULL;
  SFc3_Tuner4InnerInstanceStruct *chartInstance;
  chartInstance = (SFc3_Tuner4InnerInstanceStruct *)chartInstanceVoid;
  c3_y = NULL;
  c3_b_u = *((real_T *)c3_u);
  c3_b_y = NULL;
  if (!chartInstance->c3_uPast_not_empty) {
    sf_mex_assign(&c3_b_y, sf_mex_create("y", NULL, 0, 0U, 1U, 0U, 2, 0, 0));
  } else {
    sf_mex_assign(&c3_b_y, sf_mex_create("y", &c3_b_u, 0, 0U, 0U, 0U, 0));
  }

  sf_mex_assign(&c3_y, c3_b_y);
  return c3_y;
}

static const mxArray *c3_b_sf_marshall(void *chartInstanceVoid, void *c3_u)
{
  const mxArray *c3_y = NULL;
  real_T c3_b_u;
  const mxArray *c3_b_y = NULL;
  SFc3_Tuner4InnerInstanceStruct *chartInstance;
  chartInstance = (SFc3_Tuner4InnerInstanceStruct *)chartInstanceVoid;
  c3_y = NULL;
  c3_b_u = *((real_T *)c3_u);
  c3_b_y = NULL;
  sf_mex_assign(&c3_b_y, sf_mex_create("y", &c3_b_u, 0, 0U, 0U, 0U, 0));
  sf_mex_assign(&c3_y, c3_b_y);
  return c3_y;
}

const mxArray *sf_c3_Tuner4Inner_get_eml_resolved_functions_info(void)
{
  const mxArray *c3_nameCaptureInfo = NULL;
  c3_ResolvedFunctionInfo c3_info[27];
  const mxArray *c3_m0 = NULL;
  int32_T c3_i0;
  c3_ResolvedFunctionInfo *c3_r0;
  c3_nameCaptureInfo = NULL;
  c3_info_helper(c3_info);
  sf_mex_assign(&c3_m0, sf_mex_createstruct("nameCaptureInfo", 1, 27));
  for (c3_i0 = 0; c3_i0 < 27; c3_i0 = c3_i0 + 1) {
    c3_r0 = &c3_info[c3_i0];
    sf_mex_addfield(c3_m0, sf_mex_create("nameCaptureInfo", c3_r0->context, 15,
      0U, 0U, 0U, 2, 1, strlen(c3_r0->context)), "context",
                    "nameCaptureInfo", c3_i0);
    sf_mex_addfield(c3_m0, sf_mex_create("nameCaptureInfo", c3_r0->name, 15, 0U,
      0U, 0U, 2, 1, strlen(c3_r0->name)), "name",
                    "nameCaptureInfo", c3_i0);
    sf_mex_addfield(c3_m0, sf_mex_create("nameCaptureInfo", c3_r0->dominantType,
      15, 0U, 0U, 0U, 2, 1, strlen(c3_r0->dominantType)),
                    "dominantType", "nameCaptureInfo", c3_i0);
    sf_mex_addfield(c3_m0, sf_mex_create("nameCaptureInfo", c3_r0->resolved, 15,
      0U, 0U, 0U, 2, 1, strlen(c3_r0->resolved)), "resolved"
                    , "nameCaptureInfo", c3_i0);
    sf_mex_addfield(c3_m0, sf_mex_create("nameCaptureInfo", &c3_r0->fileLength,
      7, 0U, 0U, 0U, 0), "fileLength", "nameCaptureInfo",
                    c3_i0);
    sf_mex_addfield(c3_m0, sf_mex_create("nameCaptureInfo", &c3_r0->fileTime1, 7,
      0U, 0U, 0U, 0), "fileTime1", "nameCaptureInfo", c3_i0);
    sf_mex_addfield(c3_m0, sf_mex_create("nameCaptureInfo", &c3_r0->fileTime2, 7,
      0U, 0U, 0U, 0), "fileTime2", "nameCaptureInfo", c3_i0);
  }

  sf_mex_assign(&c3_nameCaptureInfo, c3_m0);
  return c3_nameCaptureInfo;
}

static void c3_info_helper(c3_ResolvedFunctionInfo c3_info[27])
{
  c3_info[0].context = "";
  c3_info[0].name = "abs";
  c3_info[0].dominantType = "double";
  c3_info[0].resolved = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/abs.m";
  c3_info[0].fileLength = 566U;
  c3_info[0].fileTime1 = 1221238332U;
  c3_info[0].fileTime2 = 0U;
  c3_info[1].context = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/abs.m";
  c3_info[1].name = "nargin";
  c3_info[1].dominantType = "";
  c3_info[1].resolved = "[B]nargin";
  c3_info[1].fileLength = 0U;
  c3_info[1].fileTime1 = 0U;
  c3_info[1].fileTime2 = 0U;
  c3_info[2].context = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/abs.m";
  c3_info[2].name = "gt";
  c3_info[2].dominantType = "double";
  c3_info[2].resolved = "[B]gt";
  c3_info[2].fileLength = 0U;
  c3_info[2].fileTime1 = 0U;
  c3_info[2].fileTime2 = 0U;
  c3_info[3].context = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/abs.m";
  c3_info[3].name = "isa";
  c3_info[3].dominantType = "double";
  c3_info[3].resolved = "[B]isa";
  c3_info[3].fileLength = 0U;
  c3_info[3].fileTime1 = 0U;
  c3_info[3].fileTime2 = 0U;
  c3_info[4].context = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/abs.m";
  c3_info[4].name = "ischar";
  c3_info[4].dominantType = "double";
  c3_info[4].resolved = "[B]ischar";
  c3_info[4].fileLength = 0U;
  c3_info[4].fileTime1 = 0U;
  c3_info[4].fileTime2 = 0U;
  c3_info[5].context = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/abs.m";
  c3_info[5].name = "islogical";
  c3_info[5].dominantType = "double";
  c3_info[5].resolved = "[B]islogical";
  c3_info[5].fileLength = 0U;
  c3_info[5].fileTime1 = 0U;
  c3_info[5].fileTime2 = 0U;
  c3_info[6].context = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/abs.m";
  c3_info[6].name = "size";
  c3_info[6].dominantType = "double";
  c3_info[6].resolved = "[B]size";
  c3_info[6].fileLength = 0U;
  c3_info[6].fileTime1 = 0U;
  c3_info[6].fileTime2 = 0U;
  c3_info[7].context = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/abs.m";
  c3_info[7].name = "class";
  c3_info[7].dominantType = "double";
  c3_info[7].resolved = "[B]class";
  c3_info[7].fileLength = 0U;
  c3_info[7].fileTime1 = 0U;
  c3_info[7].fileTime2 = 0U;
  c3_info[8].context = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/abs.m";
  c3_info[8].name = "zeros";
  c3_info[8].dominantType = "double";
  c3_info[8].resolved = "[B]zeros";
  c3_info[8].fileLength = 0U;
  c3_info[8].fileTime1 = 0U;
  c3_info[8].fileTime2 = 0U;
  c3_info[9].context = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/abs.m";
  c3_info[9].name = "eml_scalar_abs";
  c3_info[9].dominantType = "double";
  c3_info[9].resolved =
    "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/eml_scalar_abs.m";
  c3_info[9].fileLength = 461U;
  c3_info[9].fileTime1 = 1203411960U;
  c3_info[9].fileTime2 = 0U;
  c3_info[10].context =
    "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/eml_scalar_abs.m";
  c3_info[10].name = "isinteger";
  c3_info[10].dominantType = "double";
  c3_info[10].resolved = "[B]isinteger";
  c3_info[10].fileLength = 0U;
  c3_info[10].fileTime1 = 0U;
  c3_info[10].fileTime2 = 0U;
  c3_info[11].context =
    "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/eml_scalar_abs.m";
  c3_info[11].name = "isreal";
  c3_info[11].dominantType = "double";
  c3_info[11].resolved = "[B]isreal";
  c3_info[11].fileLength = 0U;
  c3_info[11].fileTime1 = 0U;
  c3_info[11].fileTime2 = 0U;
  c3_info[12].context = "";
  c3_info[12].name = "le";
  c3_info[12].dominantType = "double";
  c3_info[12].resolved = "[B]le";
  c3_info[12].fileLength = 0U;
  c3_info[12].fileTime1 = 0U;
  c3_info[12].fileTime2 = 0U;
  c3_info[13].context = "";
  c3_info[13].name = "sign";
  c3_info[13].dominantType = "double";
  c3_info[13].resolved = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/sign.m";
  c3_info[13].fileLength = 408U;
  c3_info[13].fileTime1 = 1203412040U;
  c3_info[13].fileTime2 = 0U;
  c3_info[14].context = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/sign.m";
  c3_info[14].name = "eq";
  c3_info[14].dominantType = "double";
  c3_info[14].resolved = "[B]eq";
  c3_info[14].fileLength = 0U;
  c3_info[14].fileTime1 = 0U;
  c3_info[14].fileTime2 = 0U;
  c3_info[15].context = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/sign.m";
  c3_info[15].name = "eml_scalar_sign";
  c3_info[15].dominantType = "double";
  c3_info[15].resolved =
    "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/eml_scalar_sign.m";
  c3_info[15].fileLength = 543U;
  c3_info[15].fileTime1 = 1203412012U;
  c3_info[15].fileTime2 = 0U;
  c3_info[16].context =
    "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/eml_scalar_sign.m";
  c3_info[16].name = "isnan";
  c3_info[16].dominantType = "double";
  c3_info[16].resolved =
    "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elmat/isnan.m";
  c3_info[16].fileLength = 506U;
  c3_info[16].fileTime1 = 1228057810U;
  c3_info[16].fileTime2 = 0U;
  c3_info[17].context =
    "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/eml_scalar_sign.m";
  c3_info[17].name = "eml_guarded_nan";
  c3_info[17].dominantType = "char";
  c3_info[17].resolved =
    "[ILX]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_guarded_nan.m";
  c3_info[17].fileLength = 485U;
  c3_info[17].fileTime1 = 1192437980U;
  c3_info[17].fileTime2 = 0U;
  c3_info[18].context =
    "[ILX]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_guarded_nan.m";
  c3_info[18].name = "eml_is_float_class";
  c3_info[18].dominantType = "char";
  c3_info[18].resolved =
    "[ILX]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_is_float_class.m";
  c3_info[18].fileLength = 226U;
  c3_info[18].fileTime1 = 1197814440U;
  c3_info[18].fileTime2 = 0U;
  c3_info[19].context =
    "[ILX]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_is_float_class.m";
  c3_info[19].name = "strcmp";
  c3_info[19].dominantType = "char";
  c3_info[19].resolved = "[B]strcmp";
  c3_info[19].fileLength = 0U;
  c3_info[19].fileTime1 = 0U;
  c3_info[19].fileTime2 = 0U;
  c3_info[20].context =
    "[ILX]$matlabroot$/toolbox/eml/lib/matlab/eml/eml_guarded_nan.m";
  c3_info[20].name = "nan";
  c3_info[20].dominantType = "char";
  c3_info[20].resolved = "[B]nan";
  c3_info[20].fileLength = 0U;
  c3_info[20].fileTime1 = 0U;
  c3_info[20].fileTime2 = 0U;
  c3_info[21].context =
    "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/eml_scalar_sign.m";
  c3_info[21].name = "ones";
  c3_info[21].dominantType = "char";
  c3_info[21].resolved = "[B]ones";
  c3_info[21].fileLength = 0U;
  c3_info[21].fileTime1 = 0U;
  c3_info[21].fileTime2 = 0U;
  c3_info[22].context =
    "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/eml_scalar_sign.m";
  c3_info[22].name = "lt";
  c3_info[22].dominantType = "double";
  c3_info[22].resolved = "[B]lt";
  c3_info[22].fileLength = 0U;
  c3_info[22].fileTime1 = 0U;
  c3_info[22].fileTime2 = 0U;
  c3_info[23].context =
    "[ILX]$matlabroot$/toolbox/eml/lib/matlab/elfun/eml_scalar_sign.m";
  c3_info[23].name = "uminus";
  c3_info[23].dominantType = "double";
  c3_info[23].resolved = "[B]uminus";
  c3_info[23].fileLength = 0U;
  c3_info[23].fileTime1 = 0U;
  c3_info[23].fileTime2 = 0U;
  c3_info[24].context = "";
  c3_info[24].name = "mtimes";
  c3_info[24].dominantType = "double";
  c3_info[24].resolved = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c3_info[24].fileLength = 3425U;
  c3_info[24].fileTime1 = 1250643966U;
  c3_info[24].fileTime2 = 0U;
  c3_info[25].context = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c3_info[25].name = "isscalar";
  c3_info[25].dominantType = "double";
  c3_info[25].resolved = "[B]isscalar";
  c3_info[25].fileLength = 0U;
  c3_info[25].fileTime1 = 0U;
  c3_info[25].fileTime2 = 0U;
  c3_info[26].context = "[ILX]$matlabroot$/toolbox/eml/lib/matlab/ops/mtimes.m";
  c3_info[26].name = "not";
  c3_info[26].dominantType = "logical";
  c3_info[26].resolved = "[B]not";
  c3_info[26].fileLength = 0U;
  c3_info[26].fileTime1 = 0U;
  c3_info[26].fileTime2 = 0U;
}

static const mxArray *c3_c_sf_marshall(void *chartInstanceVoid, void *c3_u)
{
  const mxArray *c3_y = NULL;
  boolean_T c3_b_u;
  const mxArray *c3_b_y = NULL;
  SFc3_Tuner4InnerInstanceStruct *chartInstance;
  chartInstance = (SFc3_Tuner4InnerInstanceStruct *)chartInstanceVoid;
  c3_y = NULL;
  c3_b_u = *((boolean_T *)c3_u);
  c3_b_y = NULL;
  sf_mex_assign(&c3_b_y, sf_mex_create("y", &c3_b_u, 11, 0U, 0U, 0U, 0));
  sf_mex_assign(&c3_y, c3_b_y);
  return c3_y;
}

static real_T c3_emlrt_marshallIn(SFc3_Tuner4InnerInstanceStruct *chartInstance,
  const mxArray *c3_uCurrent, const char_T *c3_name)
{
  real_T c3_y;
  real_T c3_d2;
  sf_mex_import(c3_name, sf_mex_dup(c3_uCurrent), &c3_d2, 1, 0, 0U, 0, 0U, 0);
  c3_y = c3_d2;
  sf_mex_destroy(&c3_uCurrent);
  return c3_y;
}

static real_T c3_b_emlrt_marshallIn(SFc3_Tuner4InnerInstanceStruct
  *chartInstance, const mxArray *c3_b_uPast, const char_T *c3_name)
{
  real_T c3_y;
  real_T c3_d3;
  if (mxIsEmpty(c3_b_uPast)) {
    chartInstance->c3_uPast_not_empty = FALSE;
  } else {
    chartInstance->c3_uPast_not_empty = TRUE;
    sf_mex_import(c3_name, sf_mex_dup(c3_b_uPast), &c3_d3, 1, 0, 0U, 0, 0U, 0);
    c3_y = c3_d3;
  }

  sf_mex_destroy(&c3_b_uPast);
  return c3_y;
}

static uint8_T c3_c_emlrt_marshallIn(SFc3_Tuner4InnerInstanceStruct
  *chartInstance, const mxArray *c3_b_is_active_c3_Tuner4Inner,
  const char_T *c3_name)
{
  uint8_T c3_y;
  uint8_T c3_u0;
  sf_mex_import(c3_name, sf_mex_dup(c3_b_is_active_c3_Tuner4Inner), &c3_u0, 1, 3,
                0U, 0, 0U, 0);
  c3_y = c3_u0;
  sf_mex_destroy(&c3_b_is_active_c3_Tuner4Inner);
  return c3_y;
}

static void init_dsm_address_info(SFc3_Tuner4InnerInstanceStruct *chartInstance)
{
}

/* SFunction Glue Code */
void sf_c3_Tuner4Inner_get_check_sum(mxArray *plhs[])
{
  ((real_T *)mxGetPr((plhs[0])))[0] = (real_T)(3036112161U);
  ((real_T *)mxGetPr((plhs[0])))[1] = (real_T)(3726835645U);
  ((real_T *)mxGetPr((plhs[0])))[2] = (real_T)(2652951039U);
  ((real_T *)mxGetPr((plhs[0])))[3] = (real_T)(2462120213U);
}

mxArray *sf_c3_Tuner4Inner_get_autoinheritance_info(void)
{
  const char *autoinheritanceFields[] = { "checksum", "inputs", "parameters",
    "outputs" };

  mxArray *mxAutoinheritanceInfo = mxCreateStructMatrix(1,1,4,
    autoinheritanceFields);

  {
    mxArray *mxChecksum = mxCreateDoubleMatrix(4,1,mxREAL);
    double *pr = mxGetPr(mxChecksum);
    pr[0] = (double)(462081380U);
    pr[1] = (double)(1303256411U);
    pr[2] = (double)(3282511731U);
    pr[3] = (double)(3531954342U);
    mxSetField(mxAutoinheritanceInfo,0,"checksum",mxChecksum);
  }

  {
    const char *dataFields[] = { "size", "type", "complexity" };

    mxArray *mxData = mxCreateStructMatrix(1,1,3,dataFields);

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,0,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,0,"type",mxType);
    }

    mxSetField(mxData,0,"complexity",mxCreateDoubleScalar(0));
    mxSetField(mxAutoinheritanceInfo,0,"inputs",mxData);
  }

  {
    const char *dataFields[] = { "size", "type", "complexity" };

    mxArray *mxData = mxCreateStructMatrix(1,2,3,dataFields);

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,0,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,0,"type",mxType);
    }

    mxSetField(mxData,0,"complexity",mxCreateDoubleScalar(0));

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,1,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,1,"type",mxType);
    }

    mxSetField(mxData,1,"complexity",mxCreateDoubleScalar(0));
    mxSetField(mxAutoinheritanceInfo,0,"parameters",mxData);
  }

  {
    const char *dataFields[] = { "size", "type", "complexity" };

    mxArray *mxData = mxCreateStructMatrix(1,1,3,dataFields);

    {
      mxArray *mxSize = mxCreateDoubleMatrix(1,2,mxREAL);
      double *pr = mxGetPr(mxSize);
      pr[0] = (double)(1);
      pr[1] = (double)(1);
      mxSetField(mxData,0,"size",mxSize);
    }

    {
      const char *typeFields[] = { "base", "fixpt" };

      mxArray *mxType = mxCreateStructMatrix(1,1,2,typeFields);
      mxSetField(mxType,0,"base",mxCreateDoubleScalar(10));
      mxSetField(mxType,0,"fixpt",mxCreateDoubleMatrix(0,0,mxREAL));
      mxSetField(mxData,0,"type",mxType);
    }

    mxSetField(mxData,0,"complexity",mxCreateDoubleScalar(0));
    mxSetField(mxAutoinheritanceInfo,0,"outputs",mxData);
  }

  return(mxAutoinheritanceInfo);
}

static mxArray *sf_get_sim_state_info_c3_Tuner4Inner(void)
{
  const char *infoFields[] = { "chartChecksum", "varInfo" };

  mxArray *mxInfo = mxCreateStructMatrix(1, 1, 2, infoFields);
  const char *infoEncStr[] = {
    "100 S1x3'type','srcId','name','auxInfo'{{M[1],M[5],T\"uCurrent\",},{M[4],M[0],T\"uPast\",S'l','i','p'{{M1x2[162 167],M[0],}}},{M[8],M[0],T\"is_active_c3_Tuner4Inner\",}}"
  };

  mxArray *mxVarInfo = sf_mex_decode_encoded_mx_struct_array(infoEncStr, 3, 10);
  mxArray *mxChecksum = mxCreateDoubleMatrix(1, 4, mxREAL);
  sf_c3_Tuner4Inner_get_check_sum(&mxChecksum);
  mxSetField(mxInfo, 0, infoFields[0], mxChecksum);
  mxSetField(mxInfo, 0, infoFields[1], mxVarInfo);
  return mxInfo;
}

static void chart_debug_initialization(SimStruct *S, unsigned int
  fullDebuggerInitialization)
{
  if (!sim_mode_is_rtw_gen(S)) {
    SFc3_Tuner4InnerInstanceStruct *chartInstance;
    chartInstance = (SFc3_Tuner4InnerInstanceStruct *) ((ChartInfoStruct *)
      (ssGetUserData(S)))->chartInstance;
    if (ssIsFirstInitCond(S) && fullDebuggerInitialization==1) {
      /* do this only if simulation is starting */
      {
        unsigned int chartAlreadyPresent;
        chartAlreadyPresent = sf_debug_initialize_chart
          (_Tuner4InnerMachineNumber_,
           3,
           1,
           1,
           4,
           0,
           0,
           0,
           0,
           0,
           &(chartInstance->chartNumber),
           &(chartInstance->instanceNumber),
           ssGetPath(S),
           (void *)S);
        if (chartAlreadyPresent==0) {
          /* this is the first instance */
          init_script_number_translation(_Tuner4InnerMachineNumber_,
            chartInstance->chartNumber);
          sf_debug_set_chart_disable_implicit_casting(_Tuner4InnerMachineNumber_,
            chartInstance->chartNumber,1);
          sf_debug_set_chart_event_thresholds(_Tuner4InnerMachineNumber_,
            chartInstance->chartNumber,
            0,
            0,
            0);
          _SFD_SET_DATA_PROPS(0,1,1,0,SF_DOUBLE,0,NULL,0,0,0,0.0,1.0,0,"e",0,
                              (MexFcnForType)c3_b_sf_marshall);
          _SFD_SET_DATA_PROPS(1,10,0,0,SF_DOUBLE,0,NULL,0,0,0,0.0,1.0,0,"Ra",0,
                              (MexFcnForType)c3_b_sf_marshall);
          _SFD_SET_DATA_PROPS(2,2,0,1,SF_DOUBLE,0,NULL,0,0,0,0.0,1.0,0,
                              "uCurrent",0,(MexFcnForType)c3_b_sf_marshall);
          _SFD_SET_DATA_PROPS(3,10,0,0,SF_DOUBLE,0,NULL,0,0,0,0.0,1.0,0,
                              "epsilon",0,(MexFcnForType)c3_b_sf_marshall);
          _SFD_STATE_INFO(0,0,2);
          _SFD_CH_SUBSTATE_COUNT(0);
          _SFD_CH_SUBSTATE_DECOMP(0);
        }

        _SFD_CV_INIT_CHART(0,0,0,0);

        {
          _SFD_CV_INIT_STATE(0,0,0,0,0,0,NULL,NULL);
        }

        _SFD_CV_INIT_TRANS(0,0,NULL,NULL,0,NULL);

        /* Initialization of EML Model Coverage */
        _SFD_CV_INIT_EML(0,1,2,0,0,0,0,0,0);
        _SFD_CV_INIT_EML_FCN(0,0,"eML_blk_kernel",0,-1,300);
        _SFD_CV_INIT_EML_IF(0,0,168,185,-1,203);
        _SFD_CV_INIT_EML_IF(0,1,204,222,243,297);
        _SFD_TRANS_COV_WTS(0,0,0,1,0);
        if (chartAlreadyPresent==0) {
          _SFD_TRANS_COV_MAPS(0,
                              0,NULL,NULL,
                              0,NULL,NULL,
                              1,NULL,NULL,
                              0,NULL,NULL);
        }

        {
          real_T *c3_e;
          real_T *c3_uCurrent;
          c3_uCurrent = (real_T *)ssGetOutputPortSignal(chartInstance->S, 1);
          c3_e = (real_T *)ssGetInputPortSignal(chartInstance->S, 0);
          _SFD_SET_DATA_VALUE_PTR(0U, c3_e);
          _SFD_SET_DATA_VALUE_PTR(1U, &chartInstance->c3_Ra);
          _SFD_SET_DATA_VALUE_PTR(2U, c3_uCurrent);
          _SFD_SET_DATA_VALUE_PTR(3U, &chartInstance->c3_epsilon);
        }
      }
    } else {
      sf_debug_reset_current_state_configuration(_Tuner4InnerMachineNumber_,
        chartInstance->chartNumber,chartInstance->instanceNumber);
    }
  }
}

static void sf_opaque_initialize_c3_Tuner4Inner(void *chartInstanceVar)
{
  chart_debug_initialization(((SFc3_Tuner4InnerInstanceStruct*) chartInstanceVar)
    ->S,0);
  initialize_params_c3_Tuner4Inner((SFc3_Tuner4InnerInstanceStruct*)
    chartInstanceVar);
  initialize_c3_Tuner4Inner((SFc3_Tuner4InnerInstanceStruct*) chartInstanceVar);
}

static void sf_opaque_enable_c3_Tuner4Inner(void *chartInstanceVar)
{
  enable_c3_Tuner4Inner((SFc3_Tuner4InnerInstanceStruct*) chartInstanceVar);
}

static void sf_opaque_disable_c3_Tuner4Inner(void *chartInstanceVar)
{
  disable_c3_Tuner4Inner((SFc3_Tuner4InnerInstanceStruct*) chartInstanceVar);
}

static void sf_opaque_gateway_c3_Tuner4Inner(void *chartInstanceVar)
{
  sf_c3_Tuner4Inner((SFc3_Tuner4InnerInstanceStruct*) chartInstanceVar);
}

static mxArray* sf_internal_get_sim_state_c3_Tuner4Inner(SimStruct* S)
{
  ChartInfoStruct *chartInfo = (ChartInfoStruct*) ssGetUserData(S);
  mxArray *plhs[1] = { NULL };

  mxArray *prhs[4];
  int mxError = 0;
  prhs[0] = mxCreateString("chart_simctx_raw2high");
  prhs[1] = mxCreateDoubleScalar(ssGetSFuncBlockHandle(S));
  prhs[2] = (mxArray*) get_sim_state_c3_Tuner4Inner
    ((SFc3_Tuner4InnerInstanceStruct*)chartInfo->chartInstance);/* raw sim ctx */
  prhs[3] = sf_get_sim_state_info_c3_Tuner4Inner();/* state var info */
  mxError = sf_mex_call_matlab(1, plhs, 4, prhs, "sfprivate");
  mxDestroyArray(prhs[0]);
  mxDestroyArray(prhs[1]);
  mxDestroyArray(prhs[2]);
  mxDestroyArray(prhs[3]);
  if (mxError || plhs[0] == NULL) {
    sf_mex_error_message("Stateflow Internal Error: \nError calling 'chart_simctx_raw2high'.\n");
  }

  return plhs[0];
}

static void sf_internal_set_sim_state_c3_Tuner4Inner(SimStruct* S, const mxArray
  *st)
{
  ChartInfoStruct *chartInfo = (ChartInfoStruct*) ssGetUserData(S);
  mxArray *plhs[1] = { NULL };

  mxArray *prhs[4];
  int mxError = 0;
  prhs[0] = mxCreateString("chart_simctx_high2raw");
  prhs[1] = mxCreateDoubleScalar(ssGetSFuncBlockHandle(S));
  prhs[2] = mxDuplicateArray(st);      /* high level simctx */
  prhs[3] = (mxArray*) sf_get_sim_state_info_c3_Tuner4Inner();/* state var info */
  mxError = sf_mex_call_matlab(1, plhs, 4, prhs, "sfprivate");
  mxDestroyArray(prhs[0]);
  mxDestroyArray(prhs[1]);
  mxDestroyArray(prhs[2]);
  mxDestroyArray(prhs[3]);
  if (mxError || plhs[0] == NULL) {
    sf_mex_error_message("Stateflow Internal Error: \nError calling 'chart_simctx_high2raw'.\n");
  }

  set_sim_state_c3_Tuner4Inner((SFc3_Tuner4InnerInstanceStruct*)
    chartInfo->chartInstance, mxDuplicateArray(plhs[0]));
  mxDestroyArray(plhs[0]);
}

static mxArray* sf_opaque_get_sim_state_c3_Tuner4Inner(SimStruct* S)
{
  return sf_internal_get_sim_state_c3_Tuner4Inner(S);
}

static void sf_opaque_set_sim_state_c3_Tuner4Inner(SimStruct* S, const mxArray
  *st)
{
  sf_internal_set_sim_state_c3_Tuner4Inner(S, st);
}

static void sf_opaque_terminate_c3_Tuner4Inner(void *chartInstanceVar)
{
  if (chartInstanceVar!=NULL) {
    SimStruct *S = ((SFc3_Tuner4InnerInstanceStruct*) chartInstanceVar)->S;
    if (sim_mode_is_rtw_gen(S) || sim_mode_is_external(S)) {
      sf_clear_rtw_identifier(S);
    }

    finalize_c3_Tuner4Inner((SFc3_Tuner4InnerInstanceStruct*) chartInstanceVar);
    free((void *)chartInstanceVar);
    ssSetUserData(S,NULL);
  }
}

extern unsigned int sf_machine_global_initializer_called(void);
static void mdlProcessParameters_c3_Tuner4Inner(SimStruct *S)
{
  int i;
  for (i=0;i<ssGetNumRunTimeParams(S);i++) {
    if (ssGetSFcnParamTunable(S,i)) {
      ssUpdateDlgParamAsRunTimeParam(S,i);
    }
  }

  if (sf_machine_global_initializer_called()) {
    initialize_params_c3_Tuner4Inner((SFc3_Tuner4InnerInstanceStruct*)
      (((ChartInfoStruct *)ssGetUserData(S))->chartInstance));
  }
}

static void mdlSetWorkWidths_c3_Tuner4Inner(SimStruct *S)
{
  /* Actual parameters from chart:
     Ra epsilon
   */
  const char_T *rtParamNames[] = { "p1", "p2" };

  ssSetNumRunTimeParams(S,ssGetSFcnParamsCount(S));

  /* registration for Ra*/
  ssRegDlgParamAsRunTimeParam(S, 0, 0, rtParamNames[0], SS_DOUBLE);

  /* registration for epsilon*/
  ssRegDlgParamAsRunTimeParam(S, 1, 1, rtParamNames[1], SS_DOUBLE);
  if (sim_mode_is_rtw_gen(S) || sim_mode_is_external(S)) {
    int_T chartIsInlinable =
      (int_T)sf_is_chart_inlinable("Tuner4Inner","Tuner4Inner",3);
    ssSetStateflowIsInlinable(S,chartIsInlinable);
    ssSetRTWCG(S,sf_rtw_info_uint_prop("Tuner4Inner","Tuner4Inner",3,"RTWCG"));
    ssSetEnableFcnIsTrivial(S,1);
    ssSetDisableFcnIsTrivial(S,1);
    ssSetNotMultipleInlinable(S,sf_rtw_info_uint_prop("Tuner4Inner",
      "Tuner4Inner",3,"gatewayCannotBeInlinedMultipleTimes"));
    if (chartIsInlinable) {
      ssSetInputPortOptimOpts(S, 0, SS_REUSABLE_AND_LOCAL);
      sf_mark_chart_expressionable_inputs(S,"Tuner4Inner","Tuner4Inner",3,1);
      sf_mark_chart_reusable_outputs(S,"Tuner4Inner","Tuner4Inner",3,1);
    }

    sf_set_rtw_dwork_info(S,"Tuner4Inner","Tuner4Inner",3);
    ssSetHasSubFunctions(S,!(chartIsInlinable));
    ssSetOptions(S,ssGetOptions(S)|SS_OPTION_WORKS_WITH_CODE_REUSE);
  }

  ssSetChecksum0(S,(3493415656U));
  ssSetChecksum1(S,(2895379201U));
  ssSetChecksum2(S,(287664055U));
  ssSetChecksum3(S,(2612548164U));
  ssSetmdlDerivatives(S, NULL);
  ssSetExplicitFCSSCtrl(S,1);
}

static void mdlRTW_c3_Tuner4Inner(SimStruct *S)
{
  if (sim_mode_is_rtw_gen(S)) {
    sf_write_symbol_mapping(S, "Tuner4Inner", "Tuner4Inner",3);
    ssWriteRTWStrParam(S, "StateflowChartType", "Embedded MATLAB");
  }
}

static void mdlStart_c3_Tuner4Inner(SimStruct *S)
{
  SFc3_Tuner4InnerInstanceStruct *chartInstance;
  chartInstance = (SFc3_Tuner4InnerInstanceStruct *)malloc(sizeof
    (SFc3_Tuner4InnerInstanceStruct));
  memset(chartInstance, 0, sizeof(SFc3_Tuner4InnerInstanceStruct));
  if (chartInstance==NULL) {
    sf_mex_error_message("Could not allocate memory for chart instance.");
  }

  chartInstance->chartInfo.chartInstance = chartInstance;
  chartInstance->chartInfo.isEMLChart = 1;
  chartInstance->chartInfo.chartInitialized = 0;
  chartInstance->chartInfo.sFunctionGateway = sf_opaque_gateway_c3_Tuner4Inner;
  chartInstance->chartInfo.initializeChart = sf_opaque_initialize_c3_Tuner4Inner;
  chartInstance->chartInfo.terminateChart = sf_opaque_terminate_c3_Tuner4Inner;
  chartInstance->chartInfo.enableChart = sf_opaque_enable_c3_Tuner4Inner;
  chartInstance->chartInfo.disableChart = sf_opaque_disable_c3_Tuner4Inner;
  chartInstance->chartInfo.getSimState = sf_opaque_get_sim_state_c3_Tuner4Inner;
  chartInstance->chartInfo.setSimState = sf_opaque_set_sim_state_c3_Tuner4Inner;
  chartInstance->chartInfo.getSimStateInfo =
    sf_get_sim_state_info_c3_Tuner4Inner;
  chartInstance->chartInfo.zeroCrossings = NULL;
  chartInstance->chartInfo.outputs = NULL;
  chartInstance->chartInfo.derivatives = NULL;
  chartInstance->chartInfo.mdlRTW = mdlRTW_c3_Tuner4Inner;
  chartInstance->chartInfo.mdlStart = mdlStart_c3_Tuner4Inner;
  chartInstance->chartInfo.mdlSetWorkWidths = mdlSetWorkWidths_c3_Tuner4Inner;
  chartInstance->chartInfo.extModeExec = NULL;
  chartInstance->chartInfo.restoreLastMajorStepConfiguration = NULL;
  chartInstance->chartInfo.restoreBeforeLastMajorStepConfiguration = NULL;
  chartInstance->chartInfo.storeCurrentConfiguration = NULL;
  chartInstance->S = S;
  ssSetUserData(S,(void *)(&(chartInstance->chartInfo)));/* register the chart instance with simstruct */
  if (!sim_mode_is_rtw_gen(S)) {
    init_dsm_address_info(chartInstance);
  }

  chart_debug_initialization(S,1);
}

void c3_Tuner4Inner_method_dispatcher(SimStruct *S, int_T method, void *data)
{
  switch (method) {
   case SS_CALL_MDL_START:
    mdlStart_c3_Tuner4Inner(S);
    break;

   case SS_CALL_MDL_SET_WORK_WIDTHS:
    mdlSetWorkWidths_c3_Tuner4Inner(S);
    break;

   case SS_CALL_MDL_PROCESS_PARAMETERS:
    mdlProcessParameters_c3_Tuner4Inner(S);
    break;

   default:
    /* Unhandled method */
    sf_mex_error_message("Stateflow Internal Error:\n"
                         "Error calling c3_Tuner4Inner_method_dispatcher.\n"
                         "Can't handle method %d.\n", method);
    break;
  }
}
